set number_of_cpus 10

read_db cpu_X${number_of_cpus}.gdb
link
getproc

uniquify
getproc

set acs_use_lsf true
set acs_bsub_args {-K -q synthesis -R "select[maxmem>=500 && cpuf>=16.0]"}

set_attribute -type boolean {cpu_N0/dcu/dcctl/dcudp_cntl/spare} MasterInstance true

set design_list [list \
	random_X${number_of_cpus} \
	mj_spare \
	]

for {set i 0} {$i < 5} {incr i 1} {
	lappend design_list \
	    dcram_dummy_N${i} \
	    dcu_N${i} \
	    dtag_dummy_N${i} \
	    fpu_N${i} \
	    icram_dummy_N${i} \
	    icu_N${i} \
	    itag_dummy_N${i} \
	    iu_N${i} \
	    ex_N${i} \
	    hold_logic_N${i} \
	    ifu_N${i} \
	    pipe_N${i} \
	    rcu_N${i} \
	    trap_N${i} \
	    ucode_N${i} \
	    pcsu_N${i} \
	    smu_N${i}
}

set_compile_partitions -designs $design_list

acs_compile_design \
    -destination pass0_X${number_of_cpus} \
    -prepare_only cpu_X${number_of_cpus}
getproc

exit
